# $Revision: 1.49 $, $Date: 2002/08/17 15:56:24 $
Summary:	Utilities for IPv4/IPv6 networking
Summary(pl):	Uytki przeznaczone dla pracy z sieci IPv4/IPv6
Summary(ru):	    (ping, tracepath etc.)
Summary(uk):	¦   ̦ (ping, tracepath etc.)
Name:		iputils
Version:	ss020124
Release:	1
Epoch:		1
License:	BSD
Group:		Networking/Admin
Source0:	ftp://ftp.inr.ac.ru/ip-routing/%{name}-%{version}.tar.gz
Patch0:		%{name}-no_cr_in_errors.patch
Patch1:		%{name}-ping_sparcfix.patch
BuildRequires:	docbook-dtd30-sgml
BuildRequires:	docbook-dtd31-sgml
BuildRequires:	docbook-utils >= 0.6.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPv4/IPv6 networking utils:
- clockdiff Measures clock difference between us and <destination>
  with 1msec resolution. Without -o option it uses icmp timestamps, with
  -o it uses icmp echo with timestamp IP option,
- ping/ping6,
- traceroute6,
- arping Ping <address> on device <interface> by ARP packets, using
  source address <source>,
- rdisc Classic router discovery daemon,
- tracepath/tracepath6 It traces path to <destination> discovering MTU
  along this path. It uses UDP port <port> or some random port.

%description -l pl
Narzdzia przeznaczone dla sieci IPv4/IPv6:
- clockdiff Sprawdza rnic czasu/daty pomidzy nami a innym
  komputerem z rozdzielczoci 1ms,
- ping/ping6,
- traceroute6,
- arping Pinguje <adres> na interfejsie <interfejs> wysyajc pakiety
  ARP,
- rdisc Klasyczny serwer router discovery,
- tracepath/tracepath6 ledzi drog pakietw do <przeznaczenia>
  wykorzystujc MTU discovery.

%description -l ru
 iputils      (ping, tracepath
etc.)   .     traceroute,
    .

%description -l uk
 iputils ͦ ¦   ̦ (ping, tracepath
etc.) צ Ӧ Τ.   ͦ  traceroute,
 ͦ   Ԧ.

%package ping
Summary:	IPv4 ping
Summary(pl):	ping wykorzystujcy IPv4
Group:		Networking/Admin

%description ping
IPv4 ping.

%description ping -l pl
ping wykorzystujcy IPv4.

%prep
%setup  -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
# empty LDLIBS - don't link with -lresolv, it's not necessary
%{__make} all \
	CCOPT="%{rpmcflags} -D_GNU_SOURCE -DHAVE_SIN6_SCOPEID=1" \
	LDLIBS=""

%{__make} html man

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8,/bin}

install arping clockdiff rdisc tracepath tracepath6 traceroute6 \
	$RPM_BUILD_ROOT%{_sbindir}

install ping ping6 $RPM_BUILD_ROOT/bin

install doc/*.8 $RPM_BUILD_ROOT%{_mandir}/man8
echo ".so tracepath.8" > $RPM_BUILD_ROOT%{_mandir}/man8/tracepath6.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc RELNOTES doc/*.html Modules
%attr(0755,root,root) %{_sbindir}/tracepat*
%attr(0755,root,root) %{_sbindir}/rdisc
%attr(4754,root,adm) %{_sbindir}/traceroute6
%attr(4754,root,adm) %{_sbindir}/arping
%attr(4754,root,adm) %{_sbindir}/clockdiff
%{_mandir}/man8/arping.8*
%{_mandir}/man8/clockdiff.8*
%{_mandir}/man8/rdisc.8*
%{_mandir}/man8/tracepath*.8*
%{_mandir}/man8/traceroute6.8*
%{_mandir}/man8/pg3.8*

%files ping
%defattr(644,root,root,755)
%attr(4754,root,adm) /bin/ping*
%{_mandir}/man8/ping.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: iputils.spec,v $
Revision 1.49  2002/08/17 15:56:24  blues
- fixed missing BR, more docs, kernel_is_fresh.patch seems to be no longer
  needed; STBR

Revision 1.48  2002/08/17 08:20:16  qboosh
- added BRs, added missing manuals, avoid linking with -lresolv (unnecessary)

Revision 1.47  2002/08/16 13:52:31  blues
- ss020124 - there are troubles with manuals generation

Revision 1.46  2002/08/16 13:18:13  blues
- release 5 - moved ping* to /bin; STBR

Revision 1.45  2002/04/25 16:37:22  arturs
fixed a small typo

Revision 1.44  2002/03/20 23:50:49  kloczek
- release 4.

Revision 1.43  2002/03/14 18:30:55  adasi
 - kernel is not very fresh removed

Revision 1.42  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.41  2002/02/22 00:16:01  kloczek
- merge translations from KSI.

Revision 1.40  2002/02/22 00:11:48  kloczek
- release 3.

Revision 1.39  2002/02/21 21:02:30  adasi
 - added patch adding missing \n at the end of errors

Revision 1.38  2002/01/18 02:13:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.37  2002/01/04 11:20:42  qboosh
- fixed ping pl description; release 2

Revision 1.36  2001/11/15 02:19:43  blues
- ss011002
STB

Revision 1.35  2001/11/04 12:53:57  grzegorz
- reverting last changes

Revision 1.34  2001/11/03 12:14:25  grzegorz
- removed r attr for others form all suid root binaries with adm group

Revision 1.33  2001/10/03 19:48:47  qboosh
- removed obsolete patches, use other way of passing optflags

Revision 1.32  2001/09/25 19:33:09  baggins
- started update to ss010805

Revision 1.31  2001/07/02 00:33:29  qboosh
- removed "Obsoletes: traceroute" - it doesn't provide IPv4 traceroute
- release 4

Revision 1.30  2001/06/28 02:13:02  kloczek
- release 3,
- changed permission on suid binaries to 4754/root.adm,
- merge ping-deadline, bug23844 rawhide patches.

Revision 1.29  2001/04/30 16:05:20  kloczek
- added using %%{rpmcflags} macro.

Revision 1.28  2001/01/25 20:03:24  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.27  2001/01/11 11:23:24  zagrodzki
- release 2
- changed perms/group on setuid binaries

Revision 1.26  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.25  2000/11/14 18:00:01  misiek
updated to ss001110
removed obsolete resolv patch

Revision 1.24  2000/10/28 11:53:33  misiek
added glibc patch
resolv patch for tracepath6, too

Revision 1.23  2000/10/09 04:37:56  kloczek
- adapterized, addud using new rpm automation suit and make %%{debug} ready.

Revision 1.22  2000/10/08 02:46:07  baggins
- updated to ss001007
- move ping6 to ping package
- ENOUGH with SbO! 4755 on ping*

Revision 1.21  2000/06/09 07:23:03  kloczek
- added using %%{__make} macro.

Revision 1.20  2000/05/21 01:39:51  kloczek
- spec adapterized.

Revision 1.19  2000/05/09 21:05:27  kloczek
- more cosmetics.

Revision 1.18  2000/05/09 21:04:54  kloczek
- spec adapterized.

Revision 1.17  2000/05/09 20:42:52  wiget
ss000418

Revision 1.16  2000/05/05 15:05:59  mis
- Group: synced with PLD groups

Revision 1.15  2000/04/01 11:14:46  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.13  2000/02/03 12:37:26  wiget
ss000121

Revision 1.12  1999/12/09 19:15:54  kloczek
- release 2,
- changed permission on suid binaries to 4754 and root.root.

Revision 1.11  1999/10/29 10:19:56  kloczek
- cosmetics.

Revision 1.10  1999/10/28 07:20:36  wiget
- upgrade to ss991024

Revision 1.9  1999/09/08 00:02:17  wiget
- updated to new snapshots
- removed egcs patch

Revision 1.8  1999/07/18 14:53:23  baggins
- fixed bogus Group: field

Revision 1.7  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).

Revision 1.6  1999/07/11 17:53:17  misiek
big update
